<h1>buscar habitacion </h1>
<hr>
<app-navar></app-navar>



<div class="row">
    <div class="col text-right">
        <button routerLink="/habitacion/nuevo" class="btn btn-primary">
            <i class="fa fa-plus"></i>
            Agregar

      </button>

    </div>
</div>

<table *ngIf="!cargando && habita.length > 0" class="table">
    <thead class="thead-dark">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Nombre</th>
            <th scope="col">Apellido</th>
            <th scope="col">Correo</th>
            <th scope="col">habitacion</th>
            <th scope="col">Estado</th>
            <th scope="col">Eliminar</th>
        </tr>
    </thead>

    <tbody>
        <tr *ngFor="let habitacion of habita[0] | keyvalue;  let i = index">
            <th scope="row">{{ i + 1}}</th>
            <td>{{habitacion.value.nombre}}</td>
            <td>{{habitacion.value.apellido}}</td>
            <td>{{habitacion.value.correo}}</td>
            <td>{{habitacion.value.habitacion}}</td>

            <label *ngIf="!habitacion.disponoble" class="badge badge-success">Disponible</label>
            <label *ngIf="habitacion.disponoble" class="badge badge-danger">No-Disponible</label>

            <td>
                <button class="btn btn-danger" (click)="borrarhabita(habitacion)">
                    <i class="fa fa-trash"></i>
                </button>

            </td>
        </tr>
    </tbody>
</table>

<div *ngIf="!cargando && habita.length ===0" class="alert alert-warning text-center mt-3">
    <h4 class="alert-heading">No hay registros</h4>
    <p>
        <i class="fa fa-exclamation  fa-2x"></i>
    </p>
</div>

<div *ngIf="cargando" class="alert alert-info text-center mt-3">
    <h4 class="alert-heading">Cargando</h4>
    <p>
        <i class="fa fa-sync-alt fa-spin fa-2x"></i>
    </p>
    <p class="mb-0">
        Espere por favor
    </p>
</div>